udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
disc_info Struct Reference

`#include <cdrwtool.h>`

Collaboration diagram for disc_info:

## Public Attributes
uint16_t | length
unsigned char | reserved1: 3
unsigned char | erasable: 1
unsigned char | border: 2
unsigned char | status: 2
uint8_t | n_first_track
uint8_t | n_sessions_l
uint8_t | first_track_l
uint8_t | last_track_l
unsigned char | did_v: 1
unsigned char | dbc_v: 1
unsigned char | uru: 1
unsigned char | reserved2: 5
uint8_t | disc_type
uint8_t | n_sessions_m
uint8_t | first_track_m
uint8_t | last_track_m
uint32_t | disc_id
uint8_t | lead_in_r
uint8_t | lead_in_m
uint8_t | lead_in_s
uint8_t | lead_in_f
uint8_t | lead_out_r
uint8_t | lead_out_m
uint8_t | lead_out_s
uint8_t | lead_out_f
uint8_t | disc_bar_code [8]
uint8_t | reserved3
uint8_t | opc_entries

## Detailed Description

Definition at line 114 of file cdrwtool.h.

## Member Data Documentation

unsigned char disc_info::border

Definition at line 119 of file cdrwtool.h.

unsigned char disc_info::dbc_v

Definition at line 135 of file cdrwtool.h.

unsigned char disc_info::did_v

Definition at line 134 of file cdrwtool.h.

uint8_t disc_info::disc_bar_code[8]

Definition at line 157 of file cdrwtool.h.

uint32_t disc_info::disc_id

Definition at line 148 of file cdrwtool.h.

uint8_t disc_info::disc_type

Definition at line 144 of file cdrwtool.h.

unsigned char disc_info::erasable

Definition at line 118 of file cdrwtool.h.

uint8_t disc_info::first_track_l

Definition at line 131 of file cdrwtool.h.

uint8_t disc_info::first_track_m

Definition at line 146 of file cdrwtool.h.

uint8_t disc_info::last_track_l

Definition at line 132 of file cdrwtool.h.

uint8_t disc_info::last_track_m

Definition at line 147 of file cdrwtool.h.

uint8_t disc_info::lead_in_f

Definition at line 152 of file cdrwtool.h.

uint8_t disc_info::lead_in_m

Definition at line 150 of file cdrwtool.h.

uint8_t disc_info::lead_in_r

Definition at line 149 of file cdrwtool.h.

uint8_t disc_info::lead_in_s

Definition at line 151 of file cdrwtool.h.

uint8_t disc_info::lead_out_f

Definition at line 156 of file cdrwtool.h.

uint8_t disc_info::lead_out_m

Definition at line 154 of file cdrwtool.h.

uint8_t disc_info::lead_out_r

Definition at line 153 of file cdrwtool.h.

uint8_t disc_info::lead_out_s

Definition at line 155 of file cdrwtool.h.

uint16_t disc_info::length

Definition at line 115 of file cdrwtool.h.

uint8_t disc_info::n_first_track

Definition at line 129 of file cdrwtool.h.

uint8_t disc_info::n_sessions_l

Definition at line 130 of file cdrwtool.h.

uint8_t disc_info::n_sessions_m

Definition at line 145 of file cdrwtool.h.

uint8_t disc_info::opc_entries

Definition at line 159 of file cdrwtool.h.

unsigned char disc_info::reserved1

Definition at line 117 of file cdrwtool.h.

unsigned char disc_info::reserved2

Definition at line 137 of file cdrwtool.h.

uint8_t disc_info::reserved3

Definition at line 158 of file cdrwtool.h.

unsigned char disc_info::status

Definition at line 120 of file cdrwtool.h.

unsigned char disc_info::uru

Definition at line 136 of file cdrwtool.h.

The documentation for this struct was generated from the following file:

- cdrwtool/cdrwtool.h